1. We have added a Gift Upgrades feature that allows you to gift an account upgrade to another member, just in time for the holiday season. You can see the gift option when going to the Account Upgrades screen, or on any user profile screen.
    Dismiss Notice

[GS] List of Mods Not Compatible with June Patch

Discussion in 'Civ6 - Creation & Customization' started by Torvald, Jun 19, 2019.

  1. Torvald

    Torvald Prince

    Joined:
    Oct 4, 2010
    Messages:
    300
    Gender:
    Male
    Location:
    San Antonio, TX, USA
    Have just finished troubleshooting the large list of mods that I normally use, as my new game starts were crashing after the recent June patch.

    Here is the list of mods that I was able to confirm would crash the game if activated: CQUI, Industrial Improvements, Jungle Mills, Quo's Spheres of Intrigue, More Lenses, At a Glance UI, and Unit Flag Abilities.

    Best wishes.
     
  2. Cosmic Fox

    Cosmic Fox Civ 6 Addict - TB Mod Collaborator

    Joined:
    Mar 14, 2009
    Messages:
    453
    Gender:
    Male
    Location:
    Las Vegas
    Let me add a list of "working mods" for anyone that plays similiarly to myself. Enjoy if it helps you use mods, I am always reviewing different mods and reporting to the authors the issues with them. Even though some authors take my reviews in the wrong way. https://steamcommunity.com/sharedfiles/filedetails/?id=1647680669 :thumbsup:
     
  3. Torvald

    Torvald Prince

    Joined:
    Oct 4, 2010
    Messages:
    300
    Gender:
    Male
    Location:
    San Antonio, TX, USA
    Just noticed that the Quo's Spheres of Intrigue mod has been updated to work with the June 2019 patch, but have not had a chance to check it out yet.
     
  4. Infixo

    Infixo Deity

    Joined:
    Jan 9, 2016
    Messages:
    3,695
    Gender:
    Male
    Location:
    Warsaw
  5. Tuvok694

    Tuvok694 Civ6 addict

    Joined:
    Nov 11, 2002
    Messages:
    284
    Gender:
    Male
    I am happy that the "DealPanel" (part of the ConciseUI mod) DOES work with the new patch. (I haven't tested other components of ConciseUI.)
    :thumbsup:
     
  6. PonderThis

    PonderThis Chieftain

    Joined:
    Nov 15, 2014
    Messages:
    98
    It is annoying how much doesn't work with the new patch, isn't it? I typically load a lot of mods and I spent a good half hour trying to pare down from my usual list without success. I then disabled everything and worked up to as much as I could. I was able to start a game with the following mods:
    • City Roads
    • Enhanced Mod Manager
    • Good Goody Huts
    • New Continent Names
    • Either of:
      • Perfect World 6, or
      • Detailed Worlds (Never enabled both of these at once, of course)
    • Quick Start
    • Starting Scout
    • Sukritact's Sumer Rework
    Mods that wouldn't work no matter what combo I tried:
    • Better Report Screen
    • Better Trade Screen
    • More Lenses
    • Jungle Mills
     
    Thibaulthc likes this.
  7. Infixo

    Infixo Deity

    Joined:
    Jan 9, 2016
    Messages:
    3,695
    Gender:
    Male
    Location:
    Warsaw
  8. Puer

    Puer Warlord

    Joined:
    Jan 4, 2005
    Messages:
    275
    Location:
    Estonia
    Is there a alternative mod for the Better Trade Screen?
     
  9. Lonecat Nekophrodite

    Lonecat Nekophrodite King

    Joined:
    Jan 10, 2019
    Messages:
    923
    Gender:
    Male
    Marking compatibility on mod properties screen in Modbuddy tools. Is this relates to how the mod content will intend to show up in Vanilla but not manifesting any effects on expansions? (or to make separate versions, one for Vanilla, the other for expansions and will not take effect on vanilla) if not then what will make this aforemented separate modding conditions possible?
     
  10. brubie

    brubie Chieftain

    Joined:
    Feb 15, 2016
    Messages:
    2
    More lenses has been updated to work again :)
     
    Thibaulthc likes this.
  11. LeeS

    LeeS Imperator Supporter

    Joined:
    Jul 23, 2013
    Messages:
    6,969
    Location:
    Illinois, USA
    No. Marking the mod as compatible with one or other of the expansions in Modbuddy has nothing at all to do with the how the contents of the mod are affected by a player using Rise and Fall or Gathering Storm. It is merely used as a signal to users that the mod-maker has made the contents of the mod work for the marked expansions.

    Criteria Set-Ups are required to make the mod behave differently when only Vanilla is being used by the player as opposed to how the mod will behave (ie, what code will be loaded) when the player is using Rise and Fall or Gathering Storm.
     
  12. Lonecat Nekophrodite

    Lonecat Nekophrodite King

    Joined:
    Jan 10, 2019
    Messages:
    923
    Gender:
    Male
    Criteria set ups that will tell the mod to take effect under 'Standard Rules' (Vanilla) and no effect under RF and GS. (so unintentional consequences will not occurs) how? Because the game runs as one, the set up is done only at creating a game settings.

    Remember that my project is designed to add and reorganize units under Vanilla rule for those who are nerve wrackings with Golden Age races and loyalty problems (Basically the returns of Civ3 Cultural Conversions with interim stage added (free cities))
     
  13. LeeS

    LeeS Imperator Supporter

    Joined:
    Jul 23, 2013
    Messages:
    6,969
    Location:
    Illinois, USA
    The easiest solution in your case is to do nothing to the mod itself. You simply clearly state on Steam/Elsewhere wherever the mod can be downloaded that the mod is made for and will only work correctly with Vanilla-only. At some point as a mod-maker you have to expect the user to have some "participation" in not using a mod that is not compatible with the Expacs they are running.

    Just be aware that especially on Steam you will continuously and forever be getting user comments asking that the mod be made compatible with RaF and GS, and other comments asking how soon you will be making the mod compatible with RaF and GS. And you will also forever get comments from users informing you that (a) they cannot read, and (b), the mod is not functioning properly when they run RaF and GS.
     

Share This Page